import java.io.*;

    // Print a count of the number of words and numbers on the
    // standard input.
class StdinCount {
    public static void main(String[] args){
        // Create a reader for System.in
        // Create a stream tokenizer from a standard input reader.
        StreamTokenizer stream =
                    new StreamTokenizer(new InputStreamReader(System.in));
        // Count words and numbers.
        int wordCount = 0, numberCount = 0;

        try{
            while(stream.nextToken() != StreamTokenizer.TT_EOF){
                if(stream.ttype == StreamTokenizer.TT_WORD){
                    wordCount++;
                }
                else if(stream.ttype == StreamTokenizer.TT_NUMBER){
                    numberCount++;
                }
                else{
                    // Don't count this.
                }
            }
            System.out.println("Word(s) = "+wordCount);
            System.out.println("Number(s) = "+numberCount);
        }
        catch(IOException e){
            System.out.println(e.getMessage());
        }
    }
}
