        // Illustrate connection to a UDP echo server running on
        // the host named in the command line argument.
import java.net.*;
import java.io.*;

public class UDPEchoMain {
    public static void main(String[] args) {
        if(args.length == 1){
            try{
                UDPEchoClient client = new UDPEchoClient(args[0]);
                // Strings to send and have echoed.
                String[] sampleStrings = {
                    "Hello, echo server.",
                    "Goodbye.",
                };
                client.run(sampleStrings);
            }
            catch(Exception e){
                System.err.println("Exception: "+e.getMessage());
            }
        }
        else{
            System.err.println("You must supply the name of a host to contact.");
        }
    }
}

