import java.awt.*;
import java.io.*;

        // View the contents of the file passed as a command line
        // argument within a scrollable TextArea.

public class AWTDisplayFile {
    public static void main(String[] args){
        if(args.length == 1){
            try{
                DisplayFile viewer = new DisplayFile();
                viewer.addWindowListener(new WindowCloser());
                viewer.setVisible(true);
                viewer.display(args[0]);
            }
            catch(Exception e){
                System.err.println(e);
            }
        }
        else{
            System.err.println("Usage: java AWTDisplayFile filename");
        }
    }
}
