        // Maintain a negative Transaction amount.
        // Format the amount in a width of 25 characters.
public class Credit extends Transaction {
    // The width of the print field.
    public static final int creditFormatWidth = 25;

    public Credit(long amount) throws InvalidTransactionException {
        super(amount);
        if(amount <= 0){
            throw new InvalidTransactionException(
                        "Error: Credits must be greater than zero: "+amount);
        }
    }

    protected int getFormatWidth(){
        return creditFormatWidth;
    }
}
