        // Illustrate the creation and running of a simple thread
        // using the Runnable Interface.
public class RunnableExample {
    public static void main(String[] args){
        // Create the runnable object.
        Runnable counter = new GreedyCounter();
        // Pass the runnable object to a new thread.
        // Give the thread a name.
        Thread secondThread = new Thread(counter,"counter");

        if(!secondThread.isAlive()){
            System.out.println("Second thread is not yet alive.");
        }
        secondThread.start();
        if(secondThread.isAlive()){
            System.out.println("Second thread is now alive.");
        }
        // Let secondThread have a go.
        Thread.yield();
        if(!secondThread.isAlive()){
            System.out.println("Second thread is no longer alive.");
        }
        System.out.println("First thread has finished.");
    }
}
